SPIResultSetMetaData
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SPIResultSetMetaData

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSetMetaData
          org.postgresql.pljava.jdbc.SPIResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

    public class SPIResultSetMetaData

extends AbstractResultSetMetaData

Implementation of ResultSetMetaData for SPIResultSet

Field Summary

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Constructor Summary
`SPIResultSetMetaData(TupleDesc tupleDesc)` Constructor.

Method Summary
`protected void` | `checkColumnIndex(int column)` Checks if the column index is valid.
`java.lang.String` | `getColumnClassName(int column)` Returns the fully-qualified name of the Java class whose instances are manufactured if the method `ResultSet.getObject` is called to retrieve a value from the column.
`int` | `getColumnCount()` Returns the number of columns in this `ResultSet` object.
`java.lang.String` | `getColumnLabel(int column)` Gets the designated column's suggested title for use in printouts and displays.
`protected int` | `getFieldLength(int column)` Gets column length.
`protected Oid` | `getOid(int column)` Gets column OID
`boolean` | `isAutoIncrement(int column)` Indicates whether the designated column is automatically numbered, thus read-only.

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSetMetaData
`getCatalogName, getColumnDisplaySize, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWrapperFor, isWritable, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPIResultSetMetaData

    public SPIResultSetMetaData(TupleDesc tupleDesc)

  Constructor.

  Parameters:
    `tupleDesc` - The descriptor for the ResultSet tuples

Method Detail

### getColumnCount

    public final int getColumnCount()
                             throws java.sql.SQLException

  Returns the number of columns in this `ResultSet` object.

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`
  Specified by:
    `getColumnCount` in class `AbstractResultSetMetaData`
  Returns:
    the number of columns
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### isAutoIncrement

    public final boolean isAutoIncrement(int column)
                                  throws java.sql.SQLException

  Indicates whether the designated column is automatically numbered, thus read-only.

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
  Specified by:
    `isAutoIncrement` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    `true` if so; `false` otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnLabel

    public final java.lang.String getColumnLabel(int column)
                                          throws java.sql.SQLException

  Gets the designated column's suggested title for use in printouts and displays.

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`
  Specified by:
    `getColumnLabel` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the suggested column title
  Throws:
    `java.sql.SQLException` - if a database access error occurs

### getColumnClassName

    public final java.lang.String getColumnClassName(int column)
                                              throws java.sql.SQLException

  Returns the fully-qualified name of the Java class whose instances are manufactured if the method `ResultSet.getObject` is called to retrieve a value from the column. `ResultSet.getObject` may return a subclass of the class returned by this method.

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`
  Specified by:
    `getColumnClassName` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `ResultSet.getObject` to retrieve the value in the specified column. This is the class name used for custom mapping.
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    1.2

### checkColumnIndex

    protected final void checkColumnIndex(int column)
                                   throws java.sql.SQLException

  Checks if the column index is valid.

  Specified by:
    `checkColumnIndex` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Throws:
    `java.sql.SQLException` - if the column is out of index bounds

### getOid

    protected final Oid getOid(int column)
                        throws java.sql.SQLException

  Gets column OID

  Specified by:
    `getOid` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - Column index
  Returns:
    column OID
  Throws:
    `java.sql.SQLException` - if an error occurs

### getFieldLength

    protected final int getFieldLength(int column)
                                throws java.sql.SQLException

  Gets column length. This method is called if the AbstractResultSet does not know how to get column length according to type OID. We retutn 0 because we don't know the proper length either.

  Specified by:
    `getFieldLength` in class `AbstractResultSetMetaData`
  Parameters:
    `column` - Column index
  Returns:
    column length
  Throws:
    `java.sql.SQLException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT